osl::eval::ml::PawnAdvance Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::PawnAdvance Class Reference

`#include <minorPiece.h>`

Inheritance diagram for osl::eval::ml::PawnAdvance:
[legend]
Collaboration diagram for osl::eval::ml::PawnAdvance:
[legend]

## Public Types
enum | { DIM = 9 }

## Static Public Member Functions
static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state)
Static Public Member Functions inherited from osl::eval::ml::PawnAdvanceUtil
static int | index (Player P, Square pos)
static bool | cantAdvance (const NumEffectState &state, const Piece pawn)
static bool | cantAdvance (const NumEffectState &state, const PtypeO ptypeO, const Square position)

## Static Private Attributes
static CArray< MultiInt, 9 > | table

## Friends
struct | PawnAdvanceAll

## Detailed Description

Definition at line 530 of file minorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 533 of file minorPiece.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::PawnAdvance::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 221 of file minorPiece.cc.

References osl::BLACK, osl::Piece::isOnBoard(), osl::Piece::isPromoted(), osl::Piece::owner(), result, osl::Piece::square(), and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

void osl::eval::ml::PawnAdvance::setUp | ( | const Weights & | weights,
|  | int | stage
| ) |  |
| static

Definition at line 214 of file minorPiece.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend struct PawnAdvanceAll
| friend

Definition at line 536 of file minorPiece.h.

## Member Data Documentation

osl::misc::CArray< osl::MultiInt, 9 > osl::eval::ml::PawnAdvance::table
| staticprivate

Definition at line 535 of file minorPiece.h.

Referenced by osl::eval::ml::PawnAdvanceAll::adjust().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc